--- title: "Update CA" slug: "security-privateca-updateca" tags: ["Private CA"] updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/security-privateca-updateca" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Update CA Available in Classic and VPC Change the CA status. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PUT | /api/v1/ca/{caTag} | ### Request headers For information about the headers common to all CA APIs, see [CA request headers](/docs/en/security-privateca#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `caTag` | String | Required | CA tag value - See [Get CA list](/docs/en/security-privateca-getcalist) | ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `status` | String | Required | CA status - `ACTIVE` \| `DEACTIVATED` \| `DESTROYING` - `ACTIVE`: enabled - `DEACTIVATED`: disabled - `DESTROYING`: scheduled for deletion | Caution If you change the status to `DESTROYING`, the CA and its subordinate CAs are automatically deleted after a 72-hour deletion waiting period. This process does not take into account the operational status or expiration of any certificates issued by the CA. The private key of a deleted CA is permanently deleted and can't be recovered, so use caution when deciding to delete a CA. Also, a deleted CA is no longer trusted, and any certificates issued by that CA can't be used for authentication purposes. ### Request example The following is a sample request. ``` curl --location --request PUT 'https://pca.apigw.ntruss.com/api/v1/ca/********-********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "status": "DESTROYING" }' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `msg` | String | - | Response message | | `data` | Object | - | Response result | | `data.caInfo` | Object | - | CA information | | `data.caInfo.signingCount` | Number | - | No. of certificates signed by CA | | `data.caInfo.caType` | String | - | CA type - `PRIVATE_ROOT` \| `PRIVATE_SUB` | | `data.caInfo.caId` | Number | - | CA identifier | | `data.caInfo.statusUpdateDate` | String | - | Latest status change date and time - Timestamp format | | `data.destroyDate` | String | - | Deletion date and time - Timestamp format | | `data.caInfo.alias` | String | - | CA name | | `data.caInfo.memo` | String | - | CA memo | | `data.caInfo.urlInfo` | Object | - | URL information | | `data.caInfo.urlInfo.ocsp` | Array | - | Online Certificate Status Protocol (OCSP) URL | | `data.caInfo.urlInfo.crl` | Array | - | Certificate revocation list (CRL) URL | | `data.caInfo.urlInfo.ca` | Array | - | CA URL | | `data.caTag` | String | - | CA tag value | | `data.rgstDate` | Number | - | Registration date and time - Timestamp format | | `data.status` | String | - | CA status - `ACTIVE` \| `DEACTIVATED` \| `DESTROYING` - `ACTIVE`: enabled - `DEACTIVATED`: disabled - `DESTROYING`: scheduled for deletion | ### Response status codes For information about the HTTP status codes common to all CA APIs, see [CA response status codes](/docs/en/security-privateca#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "code": "SUCCESS", "msg": "Success", "data": { "signingCount": 0, "caType": "PRIVATE_ROOT", "caId": 17***, "statusUpdateDate": 1721106009601, "destroyDate": 1721368800000, "alias": "CA002", "memo": "", "urlInfo": { "ocsp": [], "crl": [ "https://pca.apigw.ntruss.com/ext/********-********/crl" ], "ca": [ "https://pca.apigw.ntruss.com/ext/********-********/ca" ] }, "caTag": "********-********", "rgstDate": 1721105599000, "status": "DESTROYING" } } ```